### Method

# Gimp ColorProfile get_format

#### Declaration [src]

    const Babl*
    gimp_color_profile_get_format (
      GimpColorProfile* profile,
      const Babl* format,
      GimpColorRenderingIntent intent,
      GError** error
    )

#### Description [src]

This function takes a `GimpColorProfile` and a `Babl` format and returns a new `Babl` format with `profile`‘s RGB primaries and TRC, and `format`‘s pixel layout.

Available since: | 2.10

#### Parameters

`format` | `Babl`
| A `Babl` format.
| The data is owned by the caller of the function.
`intent` | `GimpColorRenderingIntent`
| A `GimpColorRenderingIntent`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `Babl`
| The new `Babl` format.
| The data is owned by the instance.